body {
    position: relative;
    font-family: Montserrat, Helvetica, Arial, serif;
    background-position: center;
    background-color: var(--backgroundColor);
    overflow-x: hidden;
    text-decoration: none;
    color: var(--textColor);
    letter-spacing: .01rem;
    outline: none !important;
}

.mainColor {
    color: var(--mainColor) !important;
}

.secondaryColor {
    color: var(--secondaryColor);
}

.textColor {
    color: var(--textColor);
}

::-webkit-scrollbar {
    width: 5px;
    height: 10px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(200, 200, 200, 1);
}

::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: var(--mainColor);
    -webkit-box-shadow: inset 0 0 6px rgba(90, 90, 90, 0.7);
}

:focus {
    outline: none;
}

input[type='text']:focus, [type='number']:focus, [type='search']:focus, [type='password']:focus, [type='email']:focus {
    outline: var(--mainColor) !important;
    border-color: var(--mainColor) !important;
    border: 1px solid var(--mainColor);
    -webkit-box-shadow: 5px 5px 8px -8px var(--mainColor) !important;
    box-shadow: 5px 5px 8px -8px var(--mainColor) !important;
}

a {
    color: var(--textColor) !important;
    margin: auto;
}

a.active {
    color: var(--mainColor) !important;
}

a:hover {
    color: var(--mainColor) !important;
}

.link {
    color: #6e6b7b !important;
}

.link:hover {
    color: var(--mainColor) !important;
}

.link-danger:hover {
    color: #dc3545 !important;
}

button:focus {
    outline: 0 !important;
    box-shadow: none !important;
}

button.btn {
    min-width: 130px;
}

button.btn-xxs {
    min-width: 30px;
}

.btn-main {
    color: #FFFFFF;
    /*font-weight: bold !important;*/
    background-color: var(--mainColor);
}

.btn-main-wire {
    color: #818181;
    background-color: transparent;
    border: 1px solid var(--mainColor);
    box-shadow: 0 0 1rem rgb(255 255 255);
    font-weight: bold;
}

.btn-main-wire:hover {
    color: #fff;
    background-color: var(--mainColor);
    -webkit-box-shadow: 0 8px 25px -8px var(--mainColor);
    box-shadow: 0 8px 25px -8px var(--mainColor);
}

.btn-main-wire:hover .mainColor {
    color: #fff !important;
}

.btn-main-wire.active {
    color: #fff;
    background-color: var(--mainColor);
    -webkit-box-shadow: 0 8px 25px -8px var(--mainColor);
    box-shadow: 0 8px 25px -8px var(--mainColor);
}

.btn-main-wire.active .mainColor {
    color: #fff !important;
}

.nav-tabs {
    border-bottom: none;
}

.tab-nav {
    color: var(--textColor);
    background: none;
    padding: .3rem .3rem;
    font-size: 1rem;
    line-height: 1.5;
    margin: 2px;
    cursor: pointer;
}

.tab-nav:hover {
    color: var(--mainColor);
}

.tab-nav.active {
    color: #FFFFFF;
    background: var(--mainColor);
    -webkit-box-shadow: 0 0 10px 1px var(--mainColorTrans);
    box-shadow: 0 0 10px 1px var(--mainColorTrans);
    border-radius: 6px;
}

.tab-nav.active i {
    color: #FFFFFF !important;
}

.tab-nav-label {
    padding-left: 5px;
}

.btn-main:hover {
    color: #FFFFFF;
    background-image: linear-gradient(rgba(0, 0, 0, 0.1) 0 0);
    -webkit-box-shadow: 0 8px 25px -8px var(--mainColor);
    box-shadow: 0 8px 25px -8px var(--mainColor);
}

input[type='search'] {
    border: 1px solid lightgrey;
    border-radius: .25rem;
}

.row {
    margin: 0px;
}

.table th {
    border-top: 0px !important;
}

table.dataTable tbody td {
    vertical-align: middle;
}

table.dataTable.compact tbody th, table.dataTable.compact tbody td {
    padding-top: 2px;
    padding-bottom: 2px;
}

.btn-xxs {
    line-height: .2;
}

.form-group input,
.form-group select {
    height: 30px;
    line-height: 14px;
}

.input-group input,
.input-group select,
.input-group button {
    height: 30px;
    line-height: 14px;
}

.form-group {
    margin-bottom: 0.5rem;
}

label {
    color: var(--textColor);
    font-size: 18px;
    margin-bottom: 0px;
}


.btn.dropdown-toggle {
    background-color: white;
    height: 31px;
    line-height: 14px;
    border: 1px solid #ced4da;
    font-size: 1rem;
    font-weight: 400;
    border-radius: .25rem;
    outline: none !important;
    padding: .25rem .5rem;
}

.btn.dropdown-toggle:focus {
    outline: var(--mainColor) !important;
    border-color: var(--mainColor) !important;
    border: 1px solid var(--mainColor);
    -webkit-box-shadow: 5px 5px 8px -8px var(--mainColor) !important;
    box-shadow: 5px 5px 8px -8px var(--mainColor) !important;
}

.btn.btn-light.dropdown-toggle:focus {
    outline: none !important;
}

.btn.dropdown-toggle .filter-option-inner-inner {
    line-height: 18px;
    font-size: .875rem;
    color: #495057;
    outline: none !important;
}

.form-group .btn.dropdown-toggle .filter-option-inner-inner {
    line-height: 18px;
    font-size: 1rem;
    color: #495057;
    outline: none !important;
    padding-top: 2px;
}

.dropdown-item.active, .dropdown-item:active {
    background-color: var(--mainColorTrans);
}

.disabled {
    background-color: #e9ecef !important;
    color: #495057;
}

input:disabled {
    background-color: #e9ecef !important;
    color: #495057;
}

.form-control.is-invalid {
    border-color: #dc3545 !important;
}

.form-control.is-valid {
    border-color: #28a745 !important;
}

::placeholder {
    opacity: 0.3 !important;
}

:-ms-input-placeholder {
    opacity: 0.3 !important;
}

::-ms-input-placeholder {
    opacity: 0.3 !important;
}

.btn-success:hover {
    -webkit-box-shadow: 0 8px 25px -8px #28a745;
    box-shadow: 0 8px 25px -8px #28a745;
}

.btn-success-wire {
    color: #28a745;
    background-color: transparent;
}

.btn-success-wire:hover {
    color: #fff;
    background-color: #28a745;
    -webkit-box-shadow: 0 8px 25px -8px #28a745;
    box-shadow: 0 8px 25px -8px #28a745;
}

.btn-danger:hover {
    -webkit-box-shadow: 0 8px 25px -8px #dc3545;
    box-shadow: 0 8px 25px -8px #dc3545;
}

.btn-danger-wire {
    color: #dc3545;
    background-color: transparent;
}

.btn-danger-wire:hover {
    color: #fff;
    background-color: #dc3545;
    -webkit-box-shadow: 0 8px 25px -8px #dc3545;
    box-shadow: 0 8px 25px -8px #dc3545;
}

.btn-info:hover {
    -webkit-box-shadow: 0 8px 25px -8px #17a2b8;
    box-shadow: 0 8px 25px -8px #17a2b8;
}

.btn-info-wire {
    color: #17a2b8;
    background-color: transparent;
}

.btn-info-wire:hover {
    color: #fff;
    background-color: #17a2b8;
    -webkit-box-shadow: 0 8px 25px -8px #17a2b8;
    box-shadow: 0 8px 25px -8px #17a2b8;
}

.btn-warning:hover {
    -webkit-box-shadow: 0 8px 25px -8px #ffc107;
    box-shadow: 0 8px 25px -8px #ffc107;
}

.btn-warning-wire {
    color: #ffc107;
    background-color: transparent;
}

.btn-warning-wire:hover {
    color: #fff;
    background-color: #ffc107;
    -webkit-box-shadow: 0 8px 25px -8px #ffc107;
    box-shadow: 0 8px 25px -8px #ffc107;
}

.btn-secondary:hover {
    -webkit-box-shadow: 0 8px 25px -8px #6c757d;
    box-shadow: 0 8px 25px -8px #6c757d;
}

.btn-secondary-wire {
    color: #6c757d;
    background-color: transparent;
}

.btn-secondary-wire:hover {
    color: #fff;
    background-color: #6c757d;
    -webkit-box-shadow: 0 8px 25px -8px #6c757d;
    box-shadow: 0 8px 25px -8px #6c757d;
}


.input_table {
    border: 1px solid black;
}

.input_table tr {
    min-height: 15px;
}

.input_table td {
    border: 1px solid black;
    vertical-align: middle;
    padding: 0px 3px !important;
}

.input_table th {
    border: 1px solid black;
    vertical-align: middle;
    font-size: 12px;
    text-align: center;
}

.input_table input {
    width: 95%;
    border: none;
    border-radius: 0px;
    height: 20px;
    margin: 0px;
    box-shadow: none;
    padding: 0px;
    background: none;
}

.nav-link {
    padding: 3px 5px;
}

.nav-tabs .nav-link {
    border: 1px solid #dee2e6;
    background-color: #f8f8f8;
    margin-top: 3px;
    /* margin-bottom: -3px;*/
    padding-bottom: 0px;
}

.nav-tabs .nav-link.active {
    margin-top: 0px;
    margin-bottom: 0px;
    padding-bottom: 3px;
}

.nav-tabs .nav-item {
    padding-right: 1px;
    background-clip: content-box;
    border-right: 1px solid lightgrey;
    border-image: linear-gradient(to bottom, rgba(0, 0, 0, 0) 10%, lightgrey 50%, rgba(0, 0, 0, 0) 90%); /* to top - at 50% transparent */
    border-image-slice: 1;
}


button.dt-button {
    border: none !important;
    /*border: 1px solid #dee2e6 !important;*/
    padding: 0.2em 0.7em !important;
    background-color: #ffffff !important;
    background-image: none !important;
}

button.dt-button:hover {
    border: none !important;
    /* border: 1px solid #c3c4c6 !important;*/
    /*padding: 0.2em 0.7em !important;
    background-color: #ffffff !important;
    background-image: none !important;*/
}

.modal-header {
    padding: 5px 10px;
}

.modal-footer {
    padding: 5px 10px;
}

.modal {
    background-color: rgba(0, 0, 0, 0.3);
}

.modal-body {
    background-color: #f8f8f8;
}

.modal-backdrop {
    background-color: transparent;
}

.check {
    cursor: pointer;
    position: relative;
    margin: auto;
    width: 25px;
    height: 25px;
    -webkit-tap-highlight-color: transparent;
    transform: translate3d(0, 0, 0);
}

.check svg {
    position: relative;
    z-index: 1;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: #c8ccd4;
    stroke-width: 2;
    transform: translate3d(0, 0, 0);
    transition: all 0.2s ease;
}

.check svg path {
    stroke-dasharray: 60;
    stroke-dashoffset: 0;
}

.check svg polyline {
    stroke-dasharray: 22;
    stroke-dashoffset: 66;
}

.check:hover:before {
    opacity: 1;
}

.check:hover svg {
    stroke: #39ac3e;
}

.custom-control {
    padding-left: 2rem;
}

.custom-control-input:checked ~ .custom-control-label:before {
    border-color: var(--mainColor) !important;
    border: 1px solid var(--mainColor);
    background-color: var(--mainColor);
    -webkit-box-shadow: 0 0 10px 1px var(--mainColorTrans);
    box-shadow: 0 0 10px 1px var(--mainColorTrans);
}

.custom-checkbox .custom-control-input:disabled:checked ~ .custom-control-label::before {
    background-color: var(--mainColorTrans);
}

.checkbox.is-invalid + .check svg {
    stroke: #dc3545;
}

.checkbox:checked + .check svg {
    stroke: #39ac3e;
}

.checkbox:checked + .check svg path {
    stroke-dashoffset: 60;
    transition: all 0.3s linear;
}

.checkbox:checked + .check svg polyline {
    stroke-dashoffset: 42;
    transition: all 0.2s linear;
    transition-delay: 0.15s;
}

.badge-light-success {
    background-color: rgba(40, 199, 111, .12);
    color: #28c76f !important;
}

.badge-light-warning {
    background-color: rgba(255, 159, 67, .12);
    color: #ff9f43 !important;
}

.badge-light-danger {
    background-color: rgba(234, 84, 85, .12);;
    color: #ea5455 !important;
}

.badge-light-info {
    background-color: rgba(23, 162, 184, 0.12);
    color: #17a2b8 !important;
}

.badge-light-secondary {
    background-color: rgba(82, 87, 92, 0.15);;
    color: #52575c !important;
}

.badge-light-main {
    background-color: var(--mainColorLight);
    color: var(--mainColor) !important;
}

.table tfoot th, .table thead th {
    vertical-align: top;
    text-transform: uppercase;
    font-size: .857rem;
    letter-spacing: .5px;
}

.table {
    width: 100%;
    color: #6e6b7b;
}

.tooltip {
    pointer-events: none;
}

.tooltip-inner {
    background-color: #636363 !important;
    color: #e8e8e8;
    -webkit-box-shadow: 0px 0px 5px 5px rgb(34 41 47 / 5%);
    box-shadow: 0px 0px 5px 5px rgb(34 41 47 / 5%);
}

.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
    border-top-color: #636363 !important;
}

.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^="right"] .arrow::before {
    border-right-color: #636363 !important;
}


.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^="bottom"] .arrow::before {
    border-bottom-color: #636363 !important;
}


.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^="left"] .arrow::before {
    border-left-color: #636363 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    display: inline-block;
    min-width: 1.5em;
    padding: 0.2em 1em;
    margin-left: 2px;
    text-align: center;
    text-decoration: none !important;
    cursor: pointer;
    *cursor: hand;
    color: #333 !important;
    border: 1px solid transparent;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: linear-gradient(
            118deg, var(--mainColor), var(--mainColorTrans));
    -webkit-box-shadow: 0 0 10px 1px var(--mainColorTrans);
    box-shadow: 0 0 10px 1px var(--mainColorTrans);
    border-radius: 6px;
    color: #fff !important;
}

table.dataTable tbody td.select-checkbox:before, table.dataTable tbody th.select-checkbox:before {
    margin-top: -10px;
    cursor: pointer;
}

table.dataTable tr.selected td.select-checkbox:after, table.dataTable tr.selected th.select-checkbox:after {
    content: '\2714';
    cursor: pointer;
    margin-top: -17px;
    margin-left: -4px;
    text-align: center;
    /*text-shadow: 1px 1px var(--mainColorTrans), -1px -1px var(--mainColorTrans), 1px -1px var(--mainColorTrans), -1px 1px var(--mainColorTrans);*/
    text-shadow: none;
    color: var(--mainColor);
}

table.dataTable.stripe tbody > tr.odd.selected, table.dataTable.stripe tbody > tr.odd > .selected, table.dataTable.display tbody > tr.odd.selected, table.dataTable.display tbody > tr.odd > .selected {
    background-color: var(--mainColorLight) !important;
}

table.dataTable.stripe tbody > tr.selected, table.dataTable.stripe tbody > tr > .selected, table.dataTable.display tbody > tr.selected, table.dataTable.display tbody > tr > .selected {
    background-color: var(--mainColorLight) !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    background: none;
    border: none !important;
    border-radius: 6px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: none;
    border: none !important;
    color: var(--mainColor) !important;
}

.dropzone .dz-message {
    margin: 1em 0 !important;
    font-size: 14px;
    /*padding-top: 20px;*/

}

.dropzone {
    min-height: 100px !important;
}

.dropzone .dz-preview .dz-details .dz-filename span, .dropzone .dz-preview .dz-details .dz-size span {
    background-color: transparent !important;
}

.range {
    -webkit-appearance: none;
    width: 100%;
    height: 15px;
    border-radius: 5px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
    padding: 0px;
    margin: auto;
}

.range::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: var(--mainColor);
    background: -moz-linear-gradient(top, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    background: -webkit-linear-gradient(top, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    background: linear-gradient(to bottom, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='var(--mainColor)', endColorstr='var(--mainColor)', GradientType=0);
    cursor: pointer;
}

.range::-moz-range-thumb {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: var(--mainColor);
    background: -moz-linear-gradient(top, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    background: -webkit-linear-gradient(top, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    background: linear-gradient(to bottom, var(--mainColor) 0%, var(--mainColor) 21%, var(--mainColor) 48%, var(--mainColor) 80%, var(--mainColor) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='var(--mainColor)', endColorstr='var(--mainColor)', GradientType=0);
    cursor: pointer;
}

.container-fluid.p-sm-1 {
    padding-right: 3px;
    padding-left: 3px;
}

.animate__animated {
    --animate-duration: 500ms;
}

ul.timeline {
    list-style-type: none;
    position: relative;
}

ul.timeline:before {
    content: ' ';
    background: #d4d9df;
    display: inline-block;
    position: absolute;
    left: 29px;
    width: 2px;
    height: 100%;
    z-index: 400;
}

ul.timeline > li {
    margin: 20px 0;
    padding-left: 20px;
}

ul.timeline > li:before {
    content: ' ';
    background: white;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #22c0e8;
    left: 20px;
    width: 20px;
    height: 20px;
    z-index: 400;
}

.fc-toolbar-chunk button.btn {
    min-width: 30px;
}

.tablelist.active {
    display: block !important;
}

.page-selected{
    background-color: var(--mainColor);
}

.dropdown-content {
    display: none;
    position: relative;
    background-color: #f1f1f1;
    /*min-width: 30px;*/
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.4);
    z-index: 1;
    right: 25px;
    margin-top: -30px;
    text-align: center;
    width: auto;
}
.dropdown-content i {
    color: black;
    padding: 5px;
    text-decoration: none;
    display: inline-block;
}
.show {display:block;}

@media (max-width: 991.98px) {
    .tab-nav-label {
        display: none;
    }

    .tab-nav-info {
        display: block !important;
    }

    .tooltip {
        display: none !important;
    }

    .fc .fc-toolbar {
        display: block !important;
        text-align: center;
    }
}



